Skip to navigation

List Valid Certificates For Customer

View as Markdown

Access control: this endpoint is available to users with the everyone role.

List valid certificates linked to a customer in a particular country and region.

This API is intended to help identify whether a customer has already provided a certificate that applies to a particular country and region. This API is intended to help you remind a customer when they have or have not provided copies of their exemption certificates to you during the sales order process.

If a customer does not have a certificate on file and they wish to provide one, you should send the customer a CertExpress invitation link so that the customer can upload proof of their exemption certificate. Please see the CreateCertExpressInvitation API to create an invitation link for this customer.

Before you can use any exemption certificates endpoints, you must set up your company for exemption certificate data storage. Companies that do not have this storage system set up will see CertCaptureNotConfiguredError when they call exemption certificate related APIs. To check if this is set up for a company, call GetCertificateSetup. To request setup of exemption certificate storage for this company, call RequestCertificateSetup.

Security Policies

  • This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPTester, SSTAdmin, TechnicalSupportAdmin, TechnicalSupportUser.
  • This API depends on the following active services:Required (all): AvaTaxPro, ECMEssentials, ECMPro, ECMPremium, VEMPro, VEMPremium, ECMProComms, ECMPremiumComms.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

companyIdintegerRequired
The unique ID number of the company that recorded this customer
customerCodestringRequired
The unique code representing this customer
countrystringRequired
Search for certificates matching this country. Uses the ISO 3166 two character country code.
regionstringRequired
Search for certificates matching this region. Uses the ISO 3166 two or three character state, region, or province code.

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Response

Success
statusstringOptional

The exemption status of this customer in this country/region.

certificateobjectOptional
A certificate is a document stored in either AvaTax Exemptions or CertCapture. The certificate document can contain information about a customer's eligibility for exemption from sales or use taxes based on criteria you specify when you store the certificate. To view or manage your certificates directly, please log onto the administrative website for the product you purchased.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error